org.jfree.report.flow

## Interface ReportJob

- All Superinterfaces:
    java.lang.Cloneable, java.io.Serializable
  All Known Implementing Classes:
    DefaultReportJob

      public interface ReportJob
      extends java.io.Serializable, java.lang.Cloneable

  A report job holds all properties that are required to successfully execute a report process. A report job does not hold output target specific parameters like target file names etc.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `ReportJob` | `derive()`
    `org.pentaho.reporting.libraries.base.config.ModifiableConfiguration` | `getConfiguration()`
    `ReportDataFactory` | `getDataFactory()`
    `java.lang.String` | `getName()`
    `ReportParameters` | `getParameters()`
    `ReportStructureRoot` | `getReportStructureRoot()`
    `ResourceBundleFactory` | `getResourceBundleFactory()`

- - ### Method Detail

    - #### getConfiguration

          org.pentaho.reporting.libraries.base.config.ModifiableConfiguration getConfiguration()

    - #### getParameters

          ReportParameters getParameters()

    - #### getReportStructureRoot

          ReportStructureRoot getReportStructureRoot()

    - #### getDataFactory

          ReportDataFactory getDataFactory()

    - #### derive

          ReportJob derive()

    - #### close

          void close()

    - #### getResourceBundleFactory

          ResourceBundleFactory getResourceBundleFactory()

    - #### getName

          java.lang.String getName()